@echo off
if not exist doom.wad goto error
if not exist dmgraph.exe goto error
if not exist nukemine.wad goto error
cls
echo.
echo   The following textures have been added to NUKEMINE.WAD
echo.
pause
cls
echo    Brick Wall (BW) 
pause
dmgraph wall63_1 -f nukemine.wad -d
echo    Brick Wall with center bars
pause
dmgraph wall63_2 -f nukemine.wad -d
echo    Hole Wall
pause
dmgraph wall78_1 -f nukemine.wad -d
echo    Brick Wall with Radiation Lines
pause
dmgraph wall52_1 -f nukemine.wad -d
echo    Brick Wall with Radiation Lines and Computer Screen
pause
dmgraph wall52_2 -f nukemine.wad -d
echo    Brick Wall with Drains
pause
dmgraph wall53_1 -f nukemine.wad -d
echo    Brick Wall with Drains and Center Bars
pause
dmgraph wall54_1 -f nukemine.wad -d
echo    Brick Wall with Radiation Lines and Center Bars
pause
dmgraph wall54_2 -f nukemine.wad -d
echo    Brick Wall with Radiation Lines and Pentagram
pause
dmgraph wall55_1 -f nukemine.wad -d
echo    Bushes
pause
dmgraph spine4_1 -f nukemine.wad -d
echo    Brick Wall with Nuke Edge
pause
dmgraph wall50_2 -f nukemine.wad -d
echo    Brick Wall with Radiation Lines and Nuke Edge
pause
dmgraph wall76_1 -f nukemine.wad -d
echo    Brick Wall with Radiation Lines, Nuke Edge and Poison Sign
pause
dmgraph wall79_1 -f nukemine.wad -d
echo    Flowing Nuke Wall
pause
dmgraph wall22_1 -f nukemine.wad -d
dmgraph wall23_1 -f nukemine.wad -d
dmgraph wall23_2 -f nukemine.wad -d
echo    Brich Wall with Flowing Drain
pause
dmgraph wall58_1 -f nukemine.wad -d
dmgraph wall58_2 -f nukemine.wad -d
dmgraph wall58_3 -f nukemine.wad -d
echo    Brick Wall with Center Bars
pause
dmgraph wall50_1 -f nukemine.wad -d
echo.
echo    All done!
goto end
:error
echo.
echo   WARNING:  doom.wad, nukemine.wad and dmgraph.exe must 
echo               be in this directory
echo.
:end
